Check a code
curl --request POST \
--url https://api.torpedo.co.mz/api/v1/verify/{id}/check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"code": "482910"
}
'import requests
url = "https://api.torpedo.co.mz/api/v1/verify/{id}/check"
payload = { "code": "482910" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '482910'})
};
fetch('https://api.torpedo.co.mz/api/v1/verify/{id}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.torpedo.co.mz/api/v1/verify/{id}/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '482910'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.torpedo.co.mz/api/v1/verify/{id}/check"
payload := strings.NewReader("{\n \"code\": \"482910\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.torpedo.co.mz/api/v1/verify/{id}/check")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"482910\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.torpedo.co.mz/api/v1/verify/{id}/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"482910\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "approved",
"valid": true,
"attemptsRemaining": 4
}
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}Verify
Check a code
Checks the code the user entered. Returns 200 while the verification is pending, with
valid: true when the code is correct. A wrong code uses up one attempt.
POST
/
api
/
v1
/
verify
/
{id}
/
check
Check a code
curl --request POST \
--url https://api.torpedo.co.mz/api/v1/verify/{id}/check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"code": "482910"
}
'import requests
url = "https://api.torpedo.co.mz/api/v1/verify/{id}/check"
payload = { "code": "482910" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '482910'})
};
fetch('https://api.torpedo.co.mz/api/v1/verify/{id}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.torpedo.co.mz/api/v1/verify/{id}/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '482910'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.torpedo.co.mz/api/v1/verify/{id}/check"
payload := strings.NewReader("{\n \"code\": \"482910\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.torpedo.co.mz/api/v1/verify/{id}/check")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"482910\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.torpedo.co.mz/api/v1/verify/{id}/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"482910\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "approved",
"valid": true,
"attemptsRemaining": 4
}
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "Domain not verified",
"field": "from"
}
]
}Authorizations
Prefix tor_ followed by a base64url-encoded random key.
Create and manage API keys from the authenticated Torpedo dashboard.
Path Parameters
Body
application/json
Maximum string length:
15Example:
"482910"
Response
Check result
Show child attributes
Show child attributes